.\"	$NetBSD: tl.4,v 1.20 2009/05/17 02:52:03 fair Exp $
.\"
.\" Copyright (c) 1997 Manuel Bouyer
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 16, 2009
.Dt TL 4
.Os
.Sh NAME
.Nm tl
.Nd Ethernet driver for Texas Instruments ThunderLAN based board
.Sh SYNOPSIS
.Cd "tl* at pci? dev ? function ?"
.Pp
Configuration of PHYs is necessary.
See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm tl
device driver supports network adapters based on
the Texas Instruments ThunderLAN chip.
.Sh HARDWARE
Supported cards include:
.Pp
.Bl -tag -width xxxxxx -offset indent
.It Compaq Netelligent
in baseboard and
.Tn PCI
variants (10BASE-T-only variant untested).
.It Compaq NetFlex 3/P
in baseboard variant only (the
.Tn PCI
variant doesn't use the same chip!).
.It \&It Baseboard Compaq Deskpro 4000 5233MMX Ethernet
(This has been tested on the Deskpro 4000M only).
.It TI TravelMate 5000 series laptop docking station's Ethernet board .
.El
.Sh MEDIA SELECTION
The different models of the supported boards come with some subset of RJ-45,
BNC and AUI connectors.
Media selection is done using
.Xr ifconfig 8
using the standard
.Xr ifmedia 4
mechanism.
Refer to those manual pages for more information.
.Pp
The
.Nm
driver doesn't have full automatic media selection.
By default it will do an Nway
.Pq Tn IEEE 802.3u
negotiation on the 10BASE-T port for the speed and duplex mode with the
link partner.
If the AUI or BNC port is used, an explicit media type must be
specified to
.Xr ifconfig 8 .
.\" .in -4
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh BUGS
The board marked as untested will always claim having an AUI connector, where
it may be a BNC one.
